﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SCHEME') 
 CREATE TABLE T_EPA_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FASSESSTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FASSESSSUMTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FCYCLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCYCLESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSTARTYEAR DATETIME,
FSTARTTIMETAGID BIGINT DEFAULT 0 NOT NULL,
FENDYEAR DATETIME,
FENDTIMETAGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SCHEME_L') 
 CREATE TABLE T_EPA_SCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SCHEMEORG') 
 CREATE TABLE T_EPA_SCHEMEORG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISCONTAINLOWER CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJECTSCOPE') 
 CREATE TABLE T_EPA_OBJECTSCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSGROUP') 
 CREATE TABLE T_EPA_ASSESSGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCOPEID BIGINT DEFAULT 0 NOT NULL,
FISACTIVITY CHAR(1) DEFAULT '0' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJECTSCOPE_L') 
 CREATE TABLE T_EPA_OBJECTSCOPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSGROUP_L') 
 CREATE TABLE T_EPA_ASSESSGROUP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EXECUTESCHEME') 
 CREATE TABLE T_EPA_EXECUTESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FTIMETAGID BIGINT DEFAULT 0 NOT NULL,
FASSESSSCOPEID BIGINT DEFAULT 0 NOT NULL,
FASSESSRULEID BIGINT DEFAULT 0 NOT NULL,
FISSUM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EXECUTESCHEME_L') 
 CREATE TABLE T_EPA_EXECUTESCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITY') 
 CREATE TABLE T_EPA_ACTIVITY (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FEXECUTESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FPERIODNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FSCHRULEID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FORIGINALRULEID BIGINT DEFAULT 0 NOT NULL,
FPERIODSTARTDATE DATETIME,
FPERIODENDDATE DATETIME,
FPLANSTARTTIME DATETIME,
FPLANENDTIME DATETIME,
FTIMERULE VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITYTIME') 
 CREATE TABLE T_EPA_ACTIVITYTIME (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIMERULE VARCHAR(2) DEFAULT 'C' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FENDTIMERULE VARCHAR(2) DEFAULT 'C' NOT NULL,
FOVERTIMERULE VARCHAR(2) DEFAULT 'C' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITYASSGROUP') 
 CREATE TABLE T_EPA_ACTIVITYASSGROUP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FASSGROUPID BIGINT DEFAULT 0 NOT NULL,
FDEFASSTYPE VARCHAR(2) DEFAULT 'C' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTIVITY_L') 
 CREATE TABLE T_EPA_ACTIVITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_GENAREAINDREQ') 
 CREATE TABLE T_EPA_GENAREAINDREQ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDICATORTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSCORETYPE VARCHAR(2) DEFAULT 'C' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_GENAREAINSTANCE') 
 CREATE TABLE T_EPA_GENAREAINSTANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSTABLECONF') 
 CREATE TABLE T_EPA_ASSTABLECONF (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FAREAINSTANCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_GENAREAINDICATOR') 
 CREATE TABLE T_EPA_GENAREAINDICATOR (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINDCTRSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINDCTRDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYTARGET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYRES DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEVALSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEVALDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FISVETO CHAR(1) DEFAULT '0' NOT NULL,
FQUALITYDARE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYDARE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUANTITYBASE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYBASE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPLANFINISHDATE DATETIME,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREALFINISHDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_GENAREAINDICATOR_L') 
 CREATE TABLE T_EPA_GENAREAINDICATOR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYDARE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYBASE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ADDSUBAREAINS') 
 CREATE TABLE T_EPA_ADDSUBAREAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ADDSUBAREAIND') 
 CREATE TABLE T_EPA_ADDSUBAREAIND (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALTYPE VARCHAR(2) DEFAULT 'C' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYTARGET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEVALSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEVALDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FISVETO CHAR(1) DEFAULT '0' NOT NULL,
FQUALITYDARE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYDARE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUANTITYBASE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYBASE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPLANFINISHDATE DATETIME,
FREALFINISHDATE DATETIME,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDCTRDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYRES DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ADDSUBAREAIND_L') 
 CREATE TABLE T_EPA_ADDSUBAREAIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYDARE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUANTITYBASE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHAREAINS') 
 CREATE TABLE T_EPA_ATTACHAREAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHAREAIND') 
 CREATE TABLE T_EPA_ATTACHAREAIND (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FKEYACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FKEYACTNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FMILESTONE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FYARDSTICK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLANFINISHDATE DATETIME,
FREALFINISHDATE DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFINDCTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYACTTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHAREAIND_L') 
 CREATE TABLE T_EPA_ATTACHAREAIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FKEYACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FKEYACTNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FMILESTONE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FYARDSTICK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLANFINISHDATE DATETIME,
FREALFINISHDATE DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFINDCTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYACTTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SCHEMERULES') 
 CREATE TABLE T_EPA_SCHEMERULES (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FORIGINALRULEID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSOBJECT') 
 CREATE TABLE T_EPA_ASSESSOBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPERFILEID BIGINT DEFAULT 0 NOT NULL,
FASSGROUPID BIGINT DEFAULT 0 NOT NULL,
FSTARTCYCLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENDCYCLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTJOINDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_GROUPASSPROCESS') 
 CREATE TABLE T_EPA_GROUPASSPROCESS (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FASSAREAID VARCHAR(2) DEFAULT 'C' NOT NULL,
FASSPROCESSID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
