﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PERFWORKFLOW') 
 CREATE TABLE T_EPA_PERFWORKFLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSIONSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISENABLEDISRULE CHAR(1) DEFAULT ' ' NOT NULL,
FDISTRIBUTERULEID BIGINT DEFAULT 0 NOT NULL,
FISTURNTOLEVEL CHAR(1) DEFAULT ' ' NOT NULL,
FTURNLEVELTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FTREATMENTTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISCALIBRATEFSOP CHAR(1) DEFAULT ' ' NOT NULL,
FISCALIBRATEASSESSLEVEL CHAR(1) DEFAULT ' ' NOT NULL,
FSCALETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PERFWORKFLOW_L') 
 CREATE TABLE T_EPA_PERFWORKFLOW_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PERFWORKLOWENTRY') 
 CREATE TABLE T_EPA_PERFWORKLOWENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYBOIDFLOW BIGINT DEFAULT 0 NOT NULL,
FFLOWID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FFLOWVID BIGINT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FPASSNODEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PASSNODESETTING') 
 CREATE TABLE T_EPA_PASSNODESETTING (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNODEID BIGINT DEFAULT 0 NOT NULL,
FNODENUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSHOW CHAR(1) DEFAULT '0' NOT NULL,
FCUSTOMNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSETTINGMODE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PASSNODESETTING_L') 
 CREATE TABLE T_EPA_PASSNODESETTING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_PERFWORKFLOW' AND KSQL_COL_NAME ='FADMINORGID') 
 ALTER TABLE T_EPA_PERFWORKFLOW ADD (FADMINORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_PERFWORKFLOW' AND KSQL_COL_NAME ='FADMINORGID') 
 ALTER TABLE T_EPA_PERFWORKFLOW ADD (FADMINORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_PERFWORKFLOW' AND KSQL_COL_NAME ='FAGGREGATION') 
 ALTER TABLE T_EPA_PERFWORKFLOW ADD (FAGGREGATION VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_PERFWORKFLOW' AND KSQL_COL_NAME ='FSCORESYSTEMID') 
 ALTER TABLE T_EPA_PERFWORKFLOW ADD (FSCORESYSTEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_PERFWORKFLOW' AND KSQL_COL_NAME ='FSUMPERFLEVELID') 
 ALTER TABLE T_EPA_PERFWORKFLOW ADD (FSUMPERFLEVELID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
