﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJCUSTOMAREAINS')
CREATE TABLE T_EPA_OBJCUSTOMAREAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMFIELD1 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD2 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD3 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD5 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD6 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD7 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD8 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFLOWRUTASKID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERFORGID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FASSESSYEAR INT DEFAULT 0 NOT NULL,
FASSESSPERIOD VARCHAR(60) DEFAULT ' ' NOT NULL,
FACTEVALOBJID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUPROCID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUNODEID BIGINT DEFAULT 0 NOT NULL,
FFLOWRUROLEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJCUSTOMAREAINS_L')
CREATE TABLE T_EPA_OBJCUSTOMAREAINS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD1 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD2 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD3 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD5 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD6 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD7 NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMFIELD8 NVARCHAR(1000) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CSTMAREATTACHMENT1')
CREATE TABLE T_EPA_CSTMAREATTACHMENT1 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CSTMAREATTACHMENT2')
CREATE TABLE T_EPA_CSTMAREATTACHMENT2 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CSTMAREATTACHMENT3')
CREATE TABLE T_EPA_CSTMAREATTACHMENT3 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);